fe_warp_conf_t Struct Reference

## Data Fields

void(* | set_parameters )(char const *param_str, float sampling_rate)
const char *(* | doc )(void)
uint32(* | id )(void)
uint32(* | n_param )(void)
float(* | warped_to_unwarped )(float nonlinear)
float(* | unwarped_to_warped )(float linear)
void(* | print )(const char *label)

## Detailed Description

Definition at line 57 of file fe_warp.h.

## Field Documentation

## doc

const char *(* fe_warp_conf_t::doc) (void)

Definition at line 59 of file fe_warp.h.

## id

uint32(* fe_warp_conf_t::id) (void)

Definition at line 60 of file fe_warp.h.

## n_param

uint32(* fe_warp_conf_t::n_param) (void)

Definition at line 61 of file fe_warp.h.

## print

void(* fe_warp_conf_t::print) (const char *label)

Definition at line 64 of file fe_warp.h.

## set_parameters

void(* fe_warp_conf_t::set_parameters) (char const *param_str, float sampling_rate)

Definition at line 58 of file fe_warp.h.

## unwarped_to_warped

float(* fe_warp_conf_t::unwarped_to_warped) (float linear)

Definition at line 63 of file fe_warp.h.

## warped_to_unwarped

float(* fe_warp_conf_t::warped_to_unwarped) (float nonlinear)

Definition at line 62 of file fe_warp.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_warp.h